﻿@model IEnumerable<CallMgrSystem.Models.tbl_Users>

@{
    ViewBag.Title = "User | SmartCenter Recording";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div class="admins">
    <div class="list-users">
        <h3><i class="fab fa-slack"></i> Danh sách người dùng</h3>
        <a href="/Users/Create">
            <button class="btn btn-success btn-md" style="margin-bottom: 10px;">
                <i class="fas fa-plus"></i>
                Thêm người dùng
            </button>
        </a>
        <table id="f5devTable" class="table table-striped table-condensed">
            <thead>
                <tr>
                    <th onclick="sortTable(0)">Stt</th>
                    <th onclick="sortTable(1)">Tên đăng nhập</th>
                    <th onclick="sortTable(2)">Tên hiển thị</th>
                    <th onclick="sortTable(3)">Ghi chú</th>
                    <th onclick="sortTable(4)">Quyền hạn</th>
                    <th onclick="sortTable(5)" style="text-align: right">Hành động</th>
                </tr>
            </thead>
            <tbody>
                @{ int i = 0;}
                @foreach (var item in Model)
                {
                    i++;
                    <tr>
                        <td>@i</td>
                        <td>@item.userName</td>
                        <td>@item.DisplayName</td>
                        <td>@item.Description</td>
                        <td>
                            @item.IsAdmin
                        </td>
                        <td class="f5dev_action">
                            <a href="/Users/Edit/@item.ID"><i class="fas fa-edit item_edit"></i></a> <a href="/Users/Delete/@item.ID"><i class="fas fa-times-circle item_delete"></i></a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div> <!-- End List Users -->
</div>